GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
scoped_restore_current_program_space Class Reference

`#include "progspace.h"`

## Public Member Functions
| scoped_restore_current_program_space ()
| ~scoped_restore_current_program_space ()
| DISABLE_COPY_AND_ASSIGN (scoped_restore_current_program_space)

## Private Attributes
program_space * | m_saved_pspace

## Detailed Description

Definition at line 277 of file progspace.h.

## Constructor & Destructor Documentation

## ◆ scoped_restore_current_program_space()

scoped_restore_current_program_space::scoped_restore_current_program_space | ( |  | ) |
| inline

Definition at line 280 of file progspace.h.

## ◆ ~scoped_restore_current_program_space()

scoped_restore_current_program_space::~scoped_restore_current_program_space | ( |  | ) |
| inline

Definition at line 284 of file progspace.h.

References m_saved_pspace, and set_current_program_space().

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

scoped_restore_current_program_space::DISABLE_COPY_AND_ASSIGN | ( | scoped_restore_current_program_space |  | ) |

## Member Data Documentation

## ◆ m_saved_pspace

program_space* scoped_restore_current_program_space::m_saved_pspace
| private

Definition at line 290 of file progspace.h.

Referenced by ~scoped_restore_current_program_space().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/progspace.h